CVE-2000-0235
CVSS7.2
发布时间 :2000-03-27 00:00:00
修订时间 :2011-03-07 21:02:49
NMCO    

[原文]Buffer overflow in the huh program in the orville-write package allows local users to gain root privileges.


[CNNVD]FreeBSD Orville-write 端口漏洞(CNNVD-200003-049)

        orville-write包中的huh程序存在缓冲区溢出漏洞,本地用户可以利用这个漏洞获得根用户权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:freebsd:freebsd:3.1FreeBSD 3.1
cpe:/o:freebsd:freebsd:3.4FreeBSD 3.4
cpe:/o:freebsd:freebsd:3.2FreeBSD 3.2
cpe:/o:freebsd:freebsd:3.0FreeBSD 3.0
cpe:/o:freebsd:freebsd:3.3FreeBSD 3.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0235
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0235
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200003-049
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-00:10-orville-write.asc
(UNKNOWN)  FREEBSD  FreeBSD-SA-00:10
http://www.securityfocus.com/bid/1070
(UNKNOWN)  BID  1070
http://www.osvdb.org/1263
(UNKNOWN)  OSVDB  1263

- 漏洞信息

FreeBSD Orville-write 端口漏洞
高危 缓冲区溢出
2000-03-27 00:00:00 2005-05-02 00:00:00
本地  
        orville-write包中的huh程序存在缓冲区溢出漏洞,本地用户可以利用这个漏洞获得根用户权限。

- 公告与补丁

        Versions of orville-write in the ports hierarchy since March 9, 2000 have not been vulnerable. FreeBSD 4.0-RELEASE is not vulnerable. New versions of this port are available at
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-3-stable/misc/orville-write-2.41a.tgz
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-4-current/misc/orville-write-2.41a.tgz
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/alpha/packages-4-current/misc/orville-write-2.41a.tgz
        The FreeBSD port skeleton is available at
        http://www.freebsd.org/ports

- 漏洞信息

1263
FreeBSD orville-write Local Overflow
Local Access Required Input Manipulation
Loss of Integrity

- 漏洞描述

A local overflow exists in orville-write, a FreeBSD port. The "huh" utility is setuid root and fails to validate input resulting in a buffer overflow. With a specially crafted request, an attacker can obtain escalated privileges resulting in a loss of integrity.

- 时间线

2000-03-15 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by implementing the following workaround(s): (1) remove the orville-write port if you have installed it, (2) remove the setuid bit from the huh utility, (3) upgrade your entire ports collection and rebuild the orville-write port, (4) reinstall a new package dated after the correction date, (5) download a new port skeleton, and (6) use the portcheckout utility to automate aforementioned option (5). Execution of option (2): #chmod u-s /usr/local/bin/huh

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站